﻿namespace ProjectAirPlane;

/// <summary>
/// Класс-сущность "Самолёт"
/// </summary>
public class EntityAirPlane
{
    /// <summary>
    /// Скорость
    /// </summary>
    public int Speed { get; private set; }

    /// <summary>
    /// Вес
    /// </summary>
    public double Weight { get; private set; }

    /// <summary>
    /// Основной цвет
    /// </summary>
    public Color BodyColor { get; private set; }

    /// <summary>
    /// Дополнительный цвет (для опциональных элементов)
    /// </summary>
    public Color AdditionalColor { get; private set; }

    /// <summary>
    /// Признак (опция) наличия радара
    /// </summary>
    public bool Radar { get; private set; }

    /// <summary>
    /// Признак (опция) наличия доп бака
    /// </summary>
    public bool DopBak { get; private set; }

    /// <summary>
    /// Признак (опция) наличия шасси
    /// </summary>
    public bool Chassi { get; private set; }

    /// <summary>
    /// Шаг перемещения автомобиля
    /// </summary>
    public double Step => Speed * 100 / Weight;

    /// <summary>
    /// Инициализация полей объекта-класса спортивного автомобиля
    /// </summary>
    /// <param name="speed">Скорость</param>
    /// <param name="weight">Вес самолёта</param>
    /// <param name="bodyColor">Основной цвет</param>
    /// <param name="additionalColor">Дополнительный цвет</param>
    /// <param name="radar">Признак наличия радара</param>
    /// <param name="dopBak">Признак наличия доп бака</param>
    /// <param name="chassi">Признак наличия шасси</param>
    public void Init(int speed, double weight, Color bodyColor, Color additionalColor, bool radar, bool dopBak, bool chassi)
    {
        Speed = speed;
        Weight = weight;
        BodyColor = bodyColor;
        AdditionalColor = additionalColor;
        Radar = radar;
        DopBak = dopBak;
        Chassi = chassi;

    }
}